Bug 201485 - Review Request: openbabel - Chemistry software file format converter
Review Request: openbabel - Chemistry software file format converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-05 20:59 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-12-12 14:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 19:03:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-08-05 20:59:22 EDT
Spec URL: http://rpm.greysector.net/extras/openbabel.spec
SRPM URL: http://rpm.greysector.net/extras/openbabel-2.0.2-1.src.rpm
Description:
Open Babel is a free, open-source version of the Babel chemistry file
translation program. Open Babel is a project designed to pick up where
Babel left off, as a cross-platform program and library designed to
interconvert between many file formats used in molecular modeling,
computational chemistry, and many related areas.

I couldn't figure out how to build python and perl bindings without openbabel being already installed, so if you want to test it, build it as is first, install openbabel-devel and then rebuild, uncommenting the defines at the top of the specfile.
Comment 1 Paul F. Johnson 2006-08-06 12:19:38 EDT
Summary: The IUPAC International Chemical Identifier (InChI^TM) library

The piece in brackets should just read TM. ^TM is causing problems on my
buildsys in mock

For both the main and subpackage

Requires: %{name} = %{version}-%{release}

Needs pkgconfig as well.

%files
%attr(755,root,root) %{_libdir}/%{name}/*.so

Should you not be just claiming the %{name} directory?
Comment 2 Paul F. Johnson 2006-08-06 12:39:13 EDT
rpmlint results

openbabel : clean
openbabel-devel : W : no docs
openbabel-debuginfo : clean
inchi : clean
inchi-devel : W : no docs
inchi-debuginfo : not generated (should it have been?)
srpm : 
Comment 3 Paul F. Johnson 2006-08-06 12:39:27 EDT
rpmlint results

openbabel : clean
openbabel-devel : W : no docs
openbabel-debuginfo : clean
inchi : clean
inchi-devel : W : no docs
inchi-debuginfo : not generated (should it have been?)
srpm : clean
Comment 4 Paul F. Johnson 2006-08-06 16:18:01 EDT
mock comes up clean once I change the ^TM to just TM in the spec file (this
though could just be my system).

Once you've addressed the other small issues in #1, I'll do the full review.
Comment 5 Dominik 'Rathann' Mierzejewski 2006-08-07 05:16:12 EDT
http://rpm.greysector.net/extras/openbabel.spec
http://rpm.greysector.net/extras/openbabel-2.0.2-2.src.rpm

- ^TM removed
- pkgconfig Req: added
- simplified file lists
- inchi-debuginfo isn't generated, because all the debuginfo is in
openbabel-debuginfo
Comment 6 Paul F. Johnson 2006-08-07 17:21:03 EDT
2.0.2-2 fails to build

File not found by glob : /var/tmp/openbabel-2.0.2-2-root-build/usr/lib/libinchi.so.*
File not found : /var/tmp/openbabel-2.0.2-2-root-build/usr/lib/include/inchi
File not found : /var/tmp/openbabel-2.0.2-2-root-build/usr/lib/libinchi.so

This is outside of mock
Comment 7 Dominik 'Rathann' Mierzejewski 2006-08-07 17:46:32 EDT
Fixed. I uncommented the defines at the top by accident. Uploaded with the same
release, as there's no functional change.
Comment 8 Paul F. Johnson 2006-08-07 18:11:45 EDT
I've commented the two defines (_with_perl and _with_python) at the top but
still get the same files not being packaged.
Comment 9 Toshio Kuratomi 2006-08-07 19:09:54 EDT
%defines can't be commented (rpm wart).  Instead of doing #%define, do #define
or similar.
Comment 10 Dominik 'Rathann' Mierzejewski 2006-08-07 19:34:44 EDT
That's why I told you to comment them with #% (hash, percent) explicitly.
Comment 11 Paul F. Johnson 2006-08-09 17:28:51 EDT
Good

No dupes
Compiles cleanly
No permission issues
No directory ownership problems
rpmlint happy
packages can compile against it without a problem (xdrawchem used as a test)
Has documentation
Licences fine
Group okay
Has R pkgconfig for the devel package

APPROVED
Comment 12 Dominik 'Rathann' Mierzejewski 2006-08-09 19:03:54 EDT
Package imported and built for devel, FC-4 and FC-5 branches requested.
Comment 13 Dominik 'Rathann' Mierzejewski 2007-12-12 08:02:14 EST
Package Change Request
======================
Package Name: openbabel
New Branches: EL-5
Comment 14 Kevin Fenzi 2007-12-12 14:31:56 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.